import { PaginationDto } from "../common/dto/pagination.dto";
import { ColorService } from "./color.service";
import { CreateColorDto } from "./dto/create-color.dto";
import { UpdateColorDto } from "./dto/update-color.dto";
export declare class ColorController {
    private readonly colorService;
    constructor(colorService: ColorService);
    create(createColorDto: CreateColorDto): Promise<import("../entities/color.entity").Color>;
    findAll(paginationDto: PaginationDto): Promise<{
        data: import("../entities/color.entity").Color[];
        page: number;
        limit: number;
        total: number;
        previous: number | null;
        next: number | null;
    }>;
    findOne(id: string): Promise<import("../entities/color.entity").Color>;
    update(id: string, updateColorDto: UpdateColorDto): Promise<import("../entities/color.entity").Color>;
    remove(id: string): Promise<void>;
}
